Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class XfaForm.AcroFieldsSearch

    java.lang.Object
      com.lowagie.text.pdf.XfaForm.Xml2Som
          com.lowagie.text.pdf.XfaForm.AcroFieldsSearch

Enclosing class:
  XfaForm

    public static class XfaForm.AcroFieldsSearch

extends XfaForm.Xml2Som

A class to process "classic" fields.

Field Summary
`private HashMap` | `acroShort2LongName`

Fields inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som
`anform, inverseSearch, name2Node, order, stack`

Constructor Summary
`XfaForm.AcroFieldsSearch(Collection items)` Creates a new instance from a Collection with the full names.

Method Summary
`HashMap` | `getAcroShort2LongName()` Gets the mapping from short names to long names.
`void` | `setAcroShort2LongName(HashMap acroShort2LongName)` Sets the mapping from short names to long names.

Methods inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som
`escapeSom, getInverseSearch, getName2Node, getOrder, getShortName, inverseSearchAdd, inverseSearchAdd, inverseSearchGlobal, printStack, setInverseSearch, setName2Node, setOrder, splitParts, unescapeSom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### acroShort2LongName

    private HashMap acroShort2LongName

Constructor Detail

### XfaForm.AcroFieldsSearch

    public XfaForm.AcroFieldsSearch(Collection items)

  Creates a new instance from a Collection with the full names.

  Parameters:
    `items` - the Collection

Method Detail

### getAcroShort2LongName

    public HashMap getAcroShort2LongName()

  Gets the mapping from short names to long names. A long name may contain the #subform name part.

  Returns:
    the mapping from short names to long names

### setAcroShort2LongName

    public void setAcroShort2LongName(HashMap acroShort2LongName)

  Sets the mapping from short names to long names. A long name may contain the #subform name part.

  Parameters:
    `acroShort2LongName` - the mapping from short names to long names

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD